--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: pdf
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A Box is a class that represents a bounded area of a page. A Grid object has methods that allow easy access to the coordinates of its corners, which can be plugged into most existing prawn methods.
constants: []

full_name: Prawn::Document::Box
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: bottom
- !ruby/object:RI::MethodSummary 
  name: bottom_left
- !ruby/object:RI::MethodSummary 
  name: bottom_right
- !ruby/object:RI::MethodSummary 
  name: bounding_box
- !ruby/object:RI::MethodSummary 
  name: gutter
- !ruby/object:RI::MethodSummary 
  name: height
- !ruby/object:RI::MethodSummary 
  name: left
- !ruby/object:RI::MethodSummary 
  name: name
- !ruby/object:RI::MethodSummary 
  name: right
- !ruby/object:RI::MethodSummary 
  name: show
- !ruby/object:RI::MethodSummary 
  name: top
- !ruby/object:RI::MethodSummary 
  name: top_left
- !ruby/object:RI::MethodSummary 
  name: top_right
- !ruby/object:RI::MethodSummary 
  name: total_height
- !ruby/object:RI::MethodSummary 
  name: width
name: Box
superclass: Object
